[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# THintWindow.HintControl (experimental)

Windowed control which is the parent for the hint window.

## Declaration

Source position: forms.pp line 1040

`public property THintWindow.HintControl : TControl read FHintCtrl write FHintCtrl;`

## Description

HintControl is an experimental TControl property which contains a reference to the windowed control to which the hint window is attached. Its value is assigned in the TApplication.ShowHintWindow method to the HintControl property provided by the Application. The value is used in the GTK3 widgetset to provide a handle that identifies the parent widget; hence, its experimental designation.

## Version info

Added in LCL version 3.0.

## See also

TApplication.ShowHintWindow |  | Shows or hides the hint window for a control in the application.